NX Open C++ Reference Guide
|
Represents a @link Features::ShipDesign::Cutout2 Features::ShipDesign::Cutout2@endlink builder <br> To create a new instance of this class, use @link Features::ShipCollection::CreateCutout2Builder Features::ShipCollection::CreateCutout2Builder @endlink <br>
Default values. More...
Public Types | |
enum | CreationMethod { CreationMethodFace2Lines, CreationMethodSpecifyCSYS, CreationMethodFaces2Surfaces, CreationMethodFacesBetweenSurfacesSurface, CreationMethodFacesCentered } |
available methods used to place a cutout object More... | |
Public Member Functions | |
NXOpen::Expression * | AngularDimension () |
Returns the angular dimension (used only for Face2Lines, Faces2Surfaces, FacesBetweenSurfacesSurface, FacesCentered) Created in NX8.0.0. | |
NXOpen::CoordinateSystem * | CoordSystem () |
Returns the coord system (only used for: SpecifyCSYS) Created in NX8.0.0. | |
NXOpen::Direction * | HorizontalReference () |
Returns the horizontal reference (optional, used only for Faces2Surfaces, FacesBetweenSurfacesSurface, and FacesCentered) Created in NX8.5.0. | |
NXOpen::Expression * | LinearOffset1 () |
Returns the linear offset1 (replaced by ReferenceOffset1 in NX8.5) Created in NX8.0.0. | |
NXOpen::Expression * | LinearOffset2 () |
Returns the linear offset2 (replaced by ReferenceOffset2 in NX8.5) Created in NX8.0.0. | |
NXOpen::Features::ShipDesign::ManufacturingStockBuilder * | ManufacturingInformation () |
Returns the manufacturing stock builder that holds the manufacturing data. | |
NXOpen::Features::ShipDesign::Cutout2Builder::CreationMethod | PlacementType () |
Returns the placement type Created in NX8.0.0. | |
NXOpen::Expression * | ReferenceOffset1 () |
Returns the reference offset1 (used only for Face2Lines, and Faces2Surfaces ) Created in NX8.0.0. | |
NXOpen::Expression * | ReferenceOffset2 () |
Returns the reference offset2 (used only for Face2Lines, and Faces2Surfaces) Created in NX8.0.0. | |
NXOpen::Expression * | ReferenceOffset3 () |
Returns the reference offset3 (used only for FacesBetweenSurfacesSurface) Created in NX8.5.0. | |
bool | ReverseDirection1 () |
Returns the reverse direction1 (used only for Face2Lines, and Faces2Surfaces ) Created in NX8.0.0. | |
bool | ReverseDirection2 () |
Returns the reverse direction2 (used only for Face2Lines, and Faces2Surfaces) Created in NX8.0.0. | |
bool | ReverseDirection3 () |
Returns the reverse direction3 (used only for FacesBetweenSurfacesSurface) Created in NX8.5.0. | |
NXOpen::SelectNXObject * | SelectCSYSFace () |
Returns the select csysface (only used for: SpecifyCSYS) Created in NX8.0.0. | |
NXOpen::SelectNXObject * | SelectLine1 () |
Returns the select line1 (replaced by SelectReference1 in NX8.5) Created in NX8.0.0. | |
NXOpen::SelectNXObject * | SelectLine2 () |
Returns the select line2 (replaced by SelectReference2 in NX8.5) Created in NX8.0.0. | |
NXOpen::SelectNXObject * | SelectReference1 () |
Returns the reference1 (used only for Face2Lines, Faces2Surfaces, and FacesBetweenSurfacesSurface) Created in NX8.5.0. | |
NXOpen::SelectNXObject * | SelectReference2 () |
Returns the reference2 (used only for Face2Lines, Faces2Surfaces, and FacesBetweenSurfacesSurface) Created in NX8.5.0. | |
NXOpen::SelectNXObject * | SelectReference3 () |
Returns the reference3 (used only for FacesBetweenSurfacesSurface) Created in NX8.5.0. | |
NXOpen::SelectNXObject * | SelectTargetFace () |
Returns the select target face Created in NX8.0.0. | |
NXOpen::SelectNXObjectList * | SelectTargetFaces () |
Returns the target faces (used only for: Faces2Surfaces, FacesBetweenSurfacesSurface, and FacesCentered) Created in NX8.5.0. | |
void | SetCoordSystem (NXOpen::CoordinateSystem *coordSystem) |
Sets the coord system (only used for: SpecifyCSYS) Created in NX8.0.0. | |
void | SetHorizontalReference (NXOpen::Direction *horizontalReference) |
Sets the horizontal reference (optional, used only for Faces2Surfaces, FacesBetweenSurfacesSurface, and FacesCentered) Created in NX8.5.0. | |
void | SetPlacementType (NXOpen::Features::ShipDesign::Cutout2Builder::CreationMethod placementType) |
Sets the placement type Created in NX8.0.0. | |
void | SetReverseDirection1 (bool reverseDirection1) |
Sets the reverse direction1 (used only for Face2Lines, and Faces2Surfaces ) Created in NX8.0.0. | |
void | SetReverseDirection2 (bool reverseDirection2) |
Sets the reverse direction2 (used only for Face2Lines, and Faces2Surfaces) Created in NX8.0.0. | |
void | SetReverseDirection3 (bool reverseDirection3) |
Sets the reverse direction3 (used only for FacesBetweenSurfacesSurface) Created in NX8.5.0. | |
NXOpen::Features::ShipDesign::SteelFeatureSpreadsheetBuilder * | SketchBlock () |
Returns the sketch block. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link Features::ShipDesign::Cutout2 Features::ShipDesign::Cutout2@endlink builder <br> To create a new instance of this class, use @link Features::ShipCollection::CreateCutout2Builder Features::ShipCollection::CreateCutout2Builder @endlink <br>
Default values.
Property | Value |
---|---|
AngularDimension.Value |
0 |
PlacementType |
Face2Lines |
ReferenceOffset1.Value |
0 (millimeters part), 0 (inches part) |
ReferenceOffset2.Value |
0 (millimeters part), 0 (inches part) |
ReferenceOffset3.Value |
0 (millimeters part), 0 (inches part) |
Created in NX8.0.0.
available methods used to place a cutout object
NXOpen::Expression* NXOpen::Features::ShipDesign::Cutout2Builder::AngularDimension | ( | ) |
Returns the angular dimension (used only for Face2Lines, Faces2Surfaces, FacesBetweenSurfacesSurface, FacesCentered)
Created in NX8.0.0.
License requirements : None
NXOpen::CoordinateSystem* NXOpen::Features::ShipDesign::Cutout2Builder::CoordSystem | ( | ) |
Returns the coord system (only used for: SpecifyCSYS)
Created in NX8.0.0.
License requirements : None
NXOpen::Direction* NXOpen::Features::ShipDesign::Cutout2Builder::HorizontalReference | ( | ) |
Returns the horizontal reference (optional, used only for Faces2Surfaces, FacesBetweenSurfacesSurface, and FacesCentered)
Created in NX8.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::ShipDesign::Cutout2Builder::LinearOffset1 | ( | ) |
Returns the linear offset1 (replaced by ReferenceOffset1 in NX8.5)
Created in NX8.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::ShipDesign::Cutout2Builder::LinearOffset2 | ( | ) |
Returns the linear offset2 (replaced by ReferenceOffset2 in NX8.5)
Created in NX8.0.0.
License requirements : None
NXOpen::Features::ShipDesign::ManufacturingStockBuilder* NXOpen::Features::ShipDesign::Cutout2Builder::ManufacturingInformation | ( | ) |
Returns the manufacturing stock builder that holds the manufacturing data.
Created in NX8.5.1.
License requirements : None
NXOpen::Features::ShipDesign::Cutout2Builder::CreationMethod NXOpen::Features::ShipDesign::Cutout2Builder::PlacementType | ( | ) |
Returns the placement type
Created in NX8.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::ShipDesign::Cutout2Builder::ReferenceOffset1 | ( | ) |
Returns the reference offset1 (used only for Face2Lines, and Faces2Surfaces )
Created in NX8.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::ShipDesign::Cutout2Builder::ReferenceOffset2 | ( | ) |
Returns the reference offset2 (used only for Face2Lines, and Faces2Surfaces)
Created in NX8.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::ShipDesign::Cutout2Builder::ReferenceOffset3 | ( | ) |
Returns the reference offset3 (used only for FacesBetweenSurfacesSurface)
Created in NX8.5.0.
License requirements : None
bool NXOpen::Features::ShipDesign::Cutout2Builder::ReverseDirection1 | ( | ) |
Returns the reverse direction1 (used only for Face2Lines, and Faces2Surfaces )
Created in NX8.0.0.
License requirements : None
bool NXOpen::Features::ShipDesign::Cutout2Builder::ReverseDirection2 | ( | ) |
Returns the reverse direction2 (used only for Face2Lines, and Faces2Surfaces)
Created in NX8.0.0.
License requirements : None
bool NXOpen::Features::ShipDesign::Cutout2Builder::ReverseDirection3 | ( | ) |
Returns the reverse direction3 (used only for FacesBetweenSurfacesSurface)
Created in NX8.5.0.
License requirements : None
NXOpen::SelectNXObject* NXOpen::Features::ShipDesign::Cutout2Builder::SelectCSYSFace | ( | ) |
Returns the select csysface (only used for: SpecifyCSYS)
Created in NX8.0.0.
License requirements : None
NXOpen::SelectNXObject* NXOpen::Features::ShipDesign::Cutout2Builder::SelectLine1 | ( | ) |
Returns the select line1 (replaced by SelectReference1 in NX8.5)
Created in NX8.0.0.
License requirements : None
NXOpen::SelectNXObject* NXOpen::Features::ShipDesign::Cutout2Builder::SelectLine2 | ( | ) |
Returns the select line2 (replaced by SelectReference2 in NX8.5)
Created in NX8.0.0.
License requirements : None
NXOpen::SelectNXObject* NXOpen::Features::ShipDesign::Cutout2Builder::SelectReference1 | ( | ) |
Returns the reference1 (used only for Face2Lines, Faces2Surfaces, and FacesBetweenSurfacesSurface)
Created in NX8.5.0.
License requirements : None
NXOpen::SelectNXObject* NXOpen::Features::ShipDesign::Cutout2Builder::SelectReference2 | ( | ) |
Returns the reference2 (used only for Face2Lines, Faces2Surfaces, and FacesBetweenSurfacesSurface)
Created in NX8.5.0.
License requirements : None
NXOpen::SelectNXObject* NXOpen::Features::ShipDesign::Cutout2Builder::SelectReference3 | ( | ) |
Returns the reference3 (used only for FacesBetweenSurfacesSurface)
Created in NX8.5.0.
License requirements : None
NXOpen::SelectNXObject* NXOpen::Features::ShipDesign::Cutout2Builder::SelectTargetFace | ( | ) |
Returns the select target face
Created in NX8.0.0.
License requirements : None
NXOpen::SelectNXObjectList* NXOpen::Features::ShipDesign::Cutout2Builder::SelectTargetFaces | ( | ) |
Returns the target faces (used only for: Faces2Surfaces, FacesBetweenSurfacesSurface, and FacesCentered)
Created in NX8.5.0.
License requirements : None
void NXOpen::Features::ShipDesign::Cutout2Builder::SetCoordSystem | ( | NXOpen::CoordinateSystem * | coordSystem | ) |
Sets the coord system (only used for: SpecifyCSYS)
Created in NX8.0.0.
License requirements : nx_ship_detail ("Ship Detail Design")
coordSystem | coordsystem |
void NXOpen::Features::ShipDesign::Cutout2Builder::SetHorizontalReference | ( | NXOpen::Direction * | horizontalReference | ) |
Sets the horizontal reference (optional, used only for Faces2Surfaces, FacesBetweenSurfacesSurface, and FacesCentered)
Created in NX8.5.0.
License requirements : nx_ship_detail ("Ship Detail Design")
horizontalReference | horizontalreference |
void NXOpen::Features::ShipDesign::Cutout2Builder::SetPlacementType | ( | NXOpen::Features::ShipDesign::Cutout2Builder::CreationMethod | placementType | ) |
Sets the placement type
Created in NX8.0.0.
License requirements : nx_ship_detail ("Ship Detail Design")
placementType | placementtype |
void NXOpen::Features::ShipDesign::Cutout2Builder::SetReverseDirection1 | ( | bool | reverseDirection1 | ) |
Sets the reverse direction1 (used only for Face2Lines, and Faces2Surfaces )
Created in NX8.0.0.
License requirements : nx_ship_detail ("Ship Detail Design")
reverseDirection1 | reversedirection1 |
void NXOpen::Features::ShipDesign::Cutout2Builder::SetReverseDirection2 | ( | bool | reverseDirection2 | ) |
Sets the reverse direction2 (used only for Face2Lines, and Faces2Surfaces)
Created in NX8.0.0.
License requirements : nx_ship_detail ("Ship Detail Design")
reverseDirection2 | reversedirection2 |
void NXOpen::Features::ShipDesign::Cutout2Builder::SetReverseDirection3 | ( | bool | reverseDirection3 | ) |
Sets the reverse direction3 (used only for FacesBetweenSurfacesSurface)
Created in NX8.5.0.
License requirements : nx_ship_detail ("Ship Detail Design")
reverseDirection3 | reversedirection3 |
NXOpen::Features::ShipDesign::SteelFeatureSpreadsheetBuilder* NXOpen::Features::ShipDesign::Cutout2Builder::SketchBlock | ( | ) |
Returns the sketch block.
<br> Users can specify the Cutout using a single sketch. The sketch type and its parameters are controlled by the @link Features::ShipDesign::SteelFeatureSpreadsheetBuilder Features::ShipDesign::SteelFeatureSpreadsheetBuilder@endlink . <br>
Created in NX8.0.0.
License requirements : None